FIXINCLUDES(1)

NAME
fixincludes - Reduz o número de #includes em arquivo de código do KDE

SYNOPSIS

fixincludes [-v, --verbose] [-e, --experimental] [-m, --modify] [arquivo] [--help]

DESCRIçãO

O fixincludes tenta reduzir o número de inclusões (#include) nos arquivos de código em C++. Muito do processamento dele é específico do código do KDE e, como tal, poderá não funcionar tão bem com o código dos aplicativos não-KDE.

Os seguintes problemas são identificados pelo fixincludes:

•   A inclusão de arquivos que já não sejam suportados, mas que ainda existam por compatibilidade com versões mais antigas do Qt/KDE;

•   Incluir o mesmo arquivo várias vezes.

Existe também um modo experimental que tenta remover cada um dos #include's de cada vez (com algumas exceções) para ver se o código ainda compila. Lembre-se que este modo experimental irá modificar o código original.

Por padrão, o código não será modificado; os problemas identificados simplesmente serão apresentados no 'standard output'.

A lista de arquivos de C++ a examinar deverá ser indicada na linha de comando. Se não forem indicados arquivos, todo o código em C++ dentro e/ou abaixo da pasta atual será examinado (com a exceção das pastas cujo Makefile.am contenha -UQT_NO_COMPAT ou -UKDE_NO_COMPAT)

Este utilitário faz parte do Kit de Desenvolvimento de Software do KDE.

OPçõES

-v, --verbose
    Modo descritivo. Será mostrada alguma informação adicional de depuração no 'standard output'.

-e, --experimental
    O modo experimental, tal como foi descrito, em detalhe. Lembre-se que esta opção implica a --modify.

-m, --modify
    Assim como escreve as mensagens no 'standard output', efetua de fato as modificações ao código original, de modo a corrigir os problemas encontrados.

AUTORES

O fixincludes foi criado por Dirk Mueller <mueller@kde.org>.

AUTHOR
Ben Burton.